curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-M3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"service_tier": "standard",
"thinking": {
"type": "adaptive"
},
"reasoning_split": true,
"stream": false,
"stream_options": {
"include_usage": false
},
"max_completion_tokens": 2048,
"max_tokens": 2,
"temperature": 1,
"top_p": 0.95,
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>"
}
}
]
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "MiniMax-M3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"service_tier": "standard",
"thinking": { "type": "adaptive" },
"reasoning_split": True,
"stream": False,
"stream_options": { "include_usage": False },
"max_completion_tokens": 2048,
"max_tokens": 2,
"temperature": 1,
"top_p": 0.95,
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-M3',
messages: [{role: 'user', content: 'Hello!'}],
service_tier: 'standard',
thinking: {type: 'adaptive'},
reasoning_split: true,
stream: false,
stream_options: {include_usage: false},
max_completion_tokens: 2048,
max_tokens: 2,
temperature: 1,
top_p: 0.95,
tools: [
{
type: 'function',
function: {name: '<string>', parameters: {}, description: '<string>'}
}
]
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "066a33a7d290378f8a9e57a055812afa",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"reasoning_details": [
{
"type": "<string>",
"id": "<string>",
"format": "<string>",
"index": 123,
"text": "<string>"
}
],
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
}
}
],
"created": 123,
"model": "MiniMax-M3",
"object": "chat.completion",
"usage": {
"total_tokens": 123,
"total_characters": 123,
"prompt_tokens": 123,
"completion_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
}
},
"input_sensitive": true,
"input_sensitive_type": 123,
"output_sensitive": true,
"output_sensitive_type": 123,
"base_resp": {
"status_code": 123,
"status_msg": "<string>"
}
}{
"base_resp": {
"status_code": 123,
"status_msg": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"base_resp": {
"status_code": 123,
"status_msg": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"base_resp": {
"status_code": 123,
"status_msg": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
}
}minimax-m3
Creates a model response for the given conversation. MiniMax-M3 supports text, image, video, tool calls, thinking, and streaming.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID.
MiniMax-M3 "MiniMax-M3"
Conversation history. Message content can be text, image, video, or tool-call content.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]
Request admission tier. Priority access must be enabled for the account.
standard, priority Controls MiniMax-M3 thinking. Omit to use adaptive thinking by default.
Show child attributes
Show child attributes
Separates reasoning into reasoning_content and reasoning_details. This does not enable or disable thinking.
If true, returns partial message deltas using Server-Sent Events.
Options for streaming responses.
Show child attributes
Show child attributes
Maximum generated tokens. For MiniMax-M3, 131072 is recommended and 524288 is the maximum.
1 <= x <= 5242882048
Deprecated legacy generation limit. Use max_completion_tokens instead.
x >= 1Sampling temperature.
0 <= x <= 2Nucleus sampling parameter. MiniMax-M3 defaults to 0.95.
0 <= x <= 1Function tool definitions for agentic workflows.
Show child attributes
Show child attributes
Response
Completion generated successfully.
- Option 1
- Option 2
"066a33a7d290378f8a9e57a055812afa"
Show child attributes
Show child attributes
Unix timestamp in seconds.
"MiniMax-M3"
chat.completion Show child attributes
Show child attributes
Whether the input triggered sensitive-content detection.
Sensitive-content category returned when input_sensitive is true.
Whether the output triggered sensitive-content detection.
Sensitive-content category returned when output_sensitive is true.
Show child attributes
Show child attributes
Was this page helpful?